# $Revision: 1.57 $, $Date: 2005/09/17 11:39:50 $
Summary:	General tool for mathematics
Summary(pl):	Rozbudowane narzdzie matematyczne
Name:		genius
Version:	0.7.2
Release:	4
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/gnome/sources/%{name}/0.7/%{name}-%{version}.tar.bz2
# Source0-md5:	69944ec93ad62cc4c3dc4ba35d4c2944
Patch0:		%{name}-am.patch
Patch1:		%{name}-termcap.patch
Patch2:		%{name}-locale-names.patch
Patch3:		%{name}-desktop.patch
Patch4:		%{name}-term_mpfr_fix.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gmp-devel
BuildRequires:	gnome-common >= 2.8.0-2
BuildRequires:	gtksourceview-devel >= 0.3.0
BuildRequires:	intltool >= 0.21
BuildRequires:	libglade2-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.4.0
BuildRequires:	libmpfr-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	scrollkeeper
BuildRequires:	vte-devel >= 0.8.19
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	scrollkeeper
Requires(post,postun):	shared-mime-info
Obsoletes:	drgenius
Obsoletes:	drgeo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Genius is a general tool for mathematics, including a mathematical
programming language and evaluator, an euclidian geometry tool, a
2D/3D function grapher and a console calculator. The console
calculator handles multiple precision floating point numbers, infinite
precision integers, complex numbers and matrixes.

%description -l pl
Genius to narzdzie do rozwizywania problemw matematycznych.
Zawiera ono matematyczny jzyk programowania, narzdzie do geometrii
euklidesowej, narzdzie do generowania wykresw 2D/3D oraz konsolowy
kalkulator. Kalkulator obsuguje liczby zmiennoprzecinkowe wysokiej
precyzji, liczby cakowite, zespolone oraz macierze.

%package devel
Summary:	genius header files
Summary(pl):	Pliki nagwkowe genius
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Genius header files.

%description devel -l pl
Pliki nagwkowe genius.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

mv po/{no,nb}.po

%build
rm -f missing acinclude.m4
gnome-doc-common
cp xmldocs.make help
%{__libtoolize}
glib-gettextize --copy --force
intltoolize --copy --force
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--enable-gtksourceview \
	--enable-gnome

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT


# This files are autogenerated
rm -f $RPM_BUILD_ROOT%{_datadir}/mime/{XMLnamespaces,globs,magic}

%find_lang %{name} --with-gnome --all-name

%post
/sbin/ldconfig
/usr/bin/scrollkeeper-update
update-mime-database %{_datadir}/mime ||:

%postun
/sbin/ldconfig
/usr/bin/scrollkeeper-update
update-mime-database %{_datadir}/mime

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %dir %{_libdir}/genius
%attr(755,root,root) %{_libdir}/genius/libtestplugin.so.*.*.*
%attr(755,root,root) %{_libdir}/genius-readline-helper-fifo
%{_datadir}/genius
%{_datadir}/application-registry/*
%{_datadir}/mime-info/*
%{_datadir}/mime/packages/*
%{_datadir}/mime/text/*
%{_desktopdir}/*.desktop
%{_iconsdir}/*/*/apps/*.png
%{_omf_dest_dir}/%{name}

%files devel
%defattr(644,root,root,755)
# Do we really need this la and so files?
%{_libdir}/genius/libtestplugin.so
%{_libdir}/genius/libtestplugin.la
%{_includedir}/genius

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: genius.spec,v $
Revision 1.57  2005/09/17 11:39:50  arekm
- new readline 5.0

Revision 1.56  2005/06/02 23:02:31  zbyniu
- popt-devel is (indirect) required by libgnome-devel not here

Revision 1.55  2005/06/01 09:47:27  zbyniu
- BR: libmpfr-devel, pkgconfig, readline-devel

Revision 1.54  2005/05/15 00:16:36  ankry
- %post shouldn't fail if no rw permission to /usr

Revision 1.53  2005/05/13 13:58:38  ankry
- rel. 3 to rebuild with new libhowl

Revision 1.52  2005/02/04 21:47:13  grzegol
- rel. 2

Revision 1.51  2005/02/04 21:36:02  grzegol
- updated to 0.7.2
- added term_mpfr_fix patch (buildfix)

Revision 1.50  2004/11/30 20:40:49  paladine
- added desktop patch
- rel 3

Revision 1.49  2004/10/07 09:08:35  ankry
- O: drgeo/drgenius, rel. 2

Revision 1.48  2004/08/20 10:51:38  aflinta
- up to version 0.7.1

Revision 1.47  2004/08/12 22:54:21  grzegol
- added gcc34 patch (fix building with gcc-3.4)

Revision 1.46  2004/08/12 16:36:40  aflinta
- up to version 0.7.0

Revision 1.45  2004/07/26 18:37:33  grzegol
- updated to 0.6.1
- run update-mime-database in %%post and %%postun

Revision 1.44  2004/04/06 12:26:31  grzegol
- updated to 0.6.0
- removed outdated intltool patch
- added locale-names patch (rename locale no -> nb)
- strict internal deps

Revision 1.43  2004/01/22 07:59:24  trojan
- added patch for build with intltool 0.29

Revision 1.42  2004/01/02 10:09:57  grzegol
- more BRs

Revision 1.41  2004/01/02 08:40:07  trojan
- updated to 0.5.7.1

Revision 1.40  2003/10/24 11:57:59  trojan
- updated to 0.5.6

Revision 1.39  2003/08/18 08:08:05  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.38  2003/08/05 11:59:01  grzegol
- rel++ to rebuild without linc
- cosmetics/sorting/simplifications/etc.

Revision 1.37  2003/06/03 17:21:09  aflinta
- version 0.5.5

Revision 1.36  2003/06/01 12:13:38  aflinta
- disabled build static files
- separated devel subpackage
- corrected attr
- release 2
- TODO: build with MPFR, check usability of *.la and *.so files in plugins

Revision 1.35  2003/05/29 07:10:00  adamg
- up to 0.5.4

Revision 1.34  2003/05/26 16:25:01  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 05:47:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/03/06 01:44:20  aflinta
- updated to version 0.5.3

Revision 1.31  2003/02/12 09:33:50  trojan
- initial (based on drgenius.spec)


